d04f71ea4bb69e25f380fc4dd77fa9da8caae5aa
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>$sha1</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; tox-install.sh&quot;
251
252 # Ensure we fail the job if any steps fail.
253 # DO NOT set -u as virtualenv's activate script has unbound variables
254 set -e -o pipefail
255
256 virtualenv --quiet &quot;/tmp/v/tox&quot;
257 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
258 source &quot;/tmp/v/tox/bin/activate&quot;
259 pip install --quiet --upgrade pip
260 pip install --quiet --upgrade pipdeptree
261 pip install --quiet --upgrade argparse detox tox tox-pyenv
262
263 echo &quot;----&gt; Pip Dependency Tree&quot;
264 pipdeptree
265
266 #!/bin/bash
267 # SPDX-License-Identifier: EPL-1.0
268 ##############################################################################
269 # Copyright (c) 2017 The Linux Foundation and others.
270 #
271 # All rights reserved. This program and the accompanying materials
272 # are made available under the terms of the Eclipse Public License v1.0
273 # which accompanies this distribution, and is available at
274 # http://www.eclipse.org/legal/epl-v10.html
275 ##############################################################################
276 echo &quot;---&gt; tox-run.sh&quot;
277
278 # Ensure we fail the job if any steps fail.
279 # DO NOT set -u as virtualenv's activate script has unbound variables
280 set -e -o pipefail
281
282 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
283 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
284 cd &quot;$WORKSPACE/$TOX_DIR&quot;
285
286 if [ -d &quot;/opt/pyenv&quot; ]; then
287     echo &quot;---&gt; Setting up pyenv&quot;
288     export PYENV_ROOT=&quot;/opt/pyenv&quot;
289     export PATH=&quot;$PYENV_ROOT/bin:$PATH&quot;
290 fi
291
292 if [ ! -z &quot;$TOX_ENVS&quot; ]; then
293     detox -e &quot;$TOX_ENVS&quot;  | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
294 else
295     detox | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
296 fi
297
298 # Disable SC2116 as we want to echo a space separated list of TOX_ENVS
299 # shellcheck disable=SC2116
300 for i in $(echo &quot;${TOX_ENVS//,/ }&quot;); do
301     cp -r &quot;.tox/$i/log&quot; &quot;$ARCHIVE_TOX_DIR/$i&quot;
302 done
303
304 echo &quot;Completed tox runs.&quot;
305 </command>
306     </hudson.tasks.Shell>
307   </builders>
308   <publishers>
309     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
310       <buildSteps>
311         <hudson.tasks.Shell>
312           <command>#!/bin/bash
313 # SPDX-License-Identifier: EPL-1.0
314 ##############################################################################
315 # Copyright (c) 2017 The Linux Foundation and others.
316 #
317 # All rights reserved. This program and the accompanying materials
318 # are made available under the terms of the Eclipse Public License v1.0
319 # which accompanies this distribution, and is available at
320 # http://www.eclipse.org/legal/epl-v10.html
321 ##############################################################################
322 echo &quot;---&gt; sysstat.sh&quot;
323 set +e  # DON'T fail build if script fails.
324
325 OS=$(facter operatingsystem)
326 case &quot;$OS&quot; in
327     Ubuntu)
328         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
329
330         # Dont run the script when systat is not enabled by default
331         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
332             exit 0
333         fi
334     ;;
335     CentOS|RedHat)
336         SYSSTAT_PATH=&quot;/var/log/sa&quot;
337     ;;
338     *)
339         # nothing to do
340         exit 0
341     ;;
342 esac
343
344 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
345 mkdir -p &quot;$SAR_DIR&quot;
346 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
347 # convert sar data to ascii format
348 while IFS=&quot;&quot; read -r sarfilenum
349 do
350     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
351 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
352
353 # DON'T fail build if script fails.
354 exit 0
355 </command>
356         </hudson.tasks.Shell>
357         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
358           <managedFiles>
359             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
360               <fileId>jenkins-log-archives-settings</fileId>
361               <targetLocation/>
362               <variable>SETTINGS_FILE</variable>
363             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
364           </managedFiles>
365         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
366         <EnvInjectBuilder>
367           <info>
368             <propertiesContent>SERVER_ID=logs</propertiesContent>
369           </info>
370         </EnvInjectBuilder>
371         <hudson.tasks.Shell>
372           <command>#!/bin/bash
373 # SPDX-License-Identifier: EPL-1.0
374 ##############################################################################
375 # Copyright (c) 2017 The Linux Foundation and others.
376 #
377 # All rights reserved. This program and the accompanying materials
378 # are made available under the terms of the Eclipse Public License v1.0
379 # which accompanies this distribution, and is available at
380 # http://www.eclipse.org/legal/epl-v10.html
381 ##############################################################################
382 echo &quot;---&gt; create-netrc.sh&quot;
383
384 # Ensure we fail the job if any steps fail.
385 set -eu -o pipefail
386
387 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
388 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
389     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
390     -v x:username -o &quot;:&quot; -v x:password \
391     &quot;$SETTINGS_FILE&quot;)
392
393 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
394 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
395 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
396
397 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
398 </command>
399         </hudson.tasks.Shell>
400         <hudson.tasks.Shell>
401           <command>#!/bin/bash
402 # SPDX-License-Identifier: EPL-1.0
403 ##############################################################################
404 # Copyright (c) 2017 The Linux Foundation and others.
405 #
406 # All rights reserved. This program and the accompanying materials
407 # are made available under the terms of the Eclipse Public License v1.0
408 # which accompanies this distribution, and is available at
409 # http://www.eclipse.org/legal/epl-v10.html
410 ##############################################################################
411 echo &quot;---&gt; lftools-install.sh&quot;
412
413 # Script to install lftools via a version passed in via lf-infra-parameters
414 #
415 # Required parameters:
416 #
417 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
418 #                      set to a strict version number like '1.2.3' or using
419 #                      PEP-440 definitions.
420 #
421 #                      Examples:
422 #                          &lt;1.0.0
423 #                          &gt;=1.0.0,&lt;2.0.0
424 #
425 # By default a released version of lftools should always be used.
426 # The purpose of the 2 variables below is so that lftools devs can test
427 # unreleased versions of lftools. There are 2 methods to install a dev version
428 # of lftools:
429 #
430 #     1) gerrit patch: Used to test a patch that has not yet been merged.
431 #                      To do this set something like this:
432 #                          LFTOOLS_MODE=gerrit
433 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
434 #
435 #     2) git branch: Used to install an lftools version from a specific branch.
436 #                    To use this set the variables as follows:
437 #                          LFTOOLS_MODE=git
438 #                          LFTOOLS_REFSPEC=master
439 #
440 #     3) release : The intended use case and default setting.
441 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
442
443 LFTOOLS_MODE=release  # release | git | gerrit
444 LFTOOLS_REFSPEC=master
445
446 # Ensure we fail the job if any steps fail.
447 # DO NOT set -u as virtualenv's activate script has unbound variables
448 set -e -o pipefail
449
450 virtualenv --quiet &quot;/tmp/v/lftools&quot;
451 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
452 source &quot;/tmp/v/lftools/bin/activate&quot;
453 pip install --quiet --upgrade pip
454
455 case $LFTOOLS_MODE in
456     gerrit)
457         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
458         pushd /tmp/lftools
459         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
460         git checkout FETCH_HEAD
461         pip install --quiet --upgrade -r requirements.txt
462         pip install --quiet --upgrade -e .
463         popd
464         ;;
465
466     git)
467         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
468         ;;
469
470     release)
471         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
472             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
473         fi
474
475         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
476         ;;
477 esac
478
479 lftools --version
480
481 # pipdeptree prints out a lot of information because lftools pulls in many
482 # dependencies. Let's only print it if we want to debug.
483 # echo &quot;----&gt; Pip Dependency Tree&quot;
484 # pip install --quiet --upgrade pipdeptree
485 # pipdeptree
486
487 #!/bin/bash
488 # SPDX-License-Identifier: EPL-1.0
489 ##############################################################################
490 # Copyright (c) 2017 The Linux Foundation and others.
491 #
492 # All rights reserved. This program and the accompanying materials
493 # are made available under the terms of the Eclipse Public License v1.0
494 # which accompanies this distribution, and is available at
495 # http://www.eclipse.org/legal/epl-v10.html
496 ##############################################################################
497 echo &quot;---&gt; logs-deploy.sh&quot;
498
499 # Ensure we fail the job if any steps fail.
500 set -eu -o pipefail
501
502 set -x  # Trace commands for this script to make debugging easier.
503
504 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
505 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
506
507 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
508 then
509     set +x # Disable trace since we no longer need it
510
511     echo &quot;WARNING: Logging server not set&quot;
512 else
513     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
514     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
515     BUILD_URL=&quot;${BUILD_URL}&quot;
516
517     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
518     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
519
520     set +x  # Disable trace since we no longer need it.
521
522     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
523 fi
524 </command>
525         </hudson.tasks.Shell>
526         <hudson.tasks.Shell>
527           <command>#!/bin/bash
528 # SPDX-License-Identifier: EPL-1.0
529 ##############################################################################
530 # Copyright (c) 2017 The Linux Foundation and others.
531 #
532 # All rights reserved. This program and the accompanying materials
533 # are made available under the terms of the Eclipse Public License v1.0
534 # which accompanies this distribution, and is available at
535 # http://www.eclipse.org/legal/epl-v10.html
536 ##############################################################################
537
538 # Clear log credential files
539 rm &quot;$SETTINGS_FILE&quot;
540 rm ~/.netrc
541 </command>
542         </hudson.tasks.Shell>
543         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
544           <regexp>^Build logs: .*</regexp>
545         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
546       </buildSteps>
547       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
548       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
549       <markBuildUnstable>false</markBuildUnstable>
550     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
551     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
552       <patterns>
553         <hudson.plugins.ws__cleanup.Pattern>
554           <pattern>**/*.jenkins-trigger</pattern>
555           <type>EXCLUDE</type>
556         </hudson.plugins.ws__cleanup.Pattern>
557       </patterns>
558       <deleteDirs>false</deleteDirs>
559       <cleanupMatrixParent>false</cleanupMatrixParent>
560       <externalDelete/>
561       <cleanWhenSuccess>true</cleanWhenSuccess>
562       <cleanWhenUnstable>true</cleanWhenUnstable>
563       <cleanWhenFailure>true</cleanWhenFailure>
564       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
565       <cleanWhenAborted>true</cleanWhenAborted>
566       <notFailBuild>true</notFailBuild>
567     </hudson.plugins.ws__cleanup.WsCleanup>
568   </publishers>
569   <buildWrappers>
570     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
571     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
572       <timeoutMinutes>10</timeoutMinutes>
573       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
574       <failBuild>true</failBuild>
575       <writingDescription>false</writingDescription>
576       <timeoutPercentage>0</timeoutPercentage>
577       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
578       <timeoutType>absolute</timeoutType>
579     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
580     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
581     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
582       <user>test-credential</user>
583     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
584     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
585     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
586       <managedFiles>
587         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
588           <fileId>npmrc</fileId>
589           <targetLocation>$HOME/.npmrc</targetLocation>
590           <variable/>
591         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
592       </managedFiles>
593     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
594   </buildWrappers>
595 </project>